// @flow

import type { Align } from '../align';
import React from 'react';
import type { Node as ReactNode } from 'react';
import { horizontal } from '../align';
import styles from './styles.css';

type Props = {
  children: ReactNode,
  align: Align,
};

const ButtonBar = (props: Props) => {
  return <div className={styles[`${props.align}-bar`]}>{props.children}</div>;
};

ButtonBar.defaultProps = {
  align: horizontal,
};

ButtonBar.displayName = 'FormButtonBar';

export { ButtonBar as default, styles };
