// @flow

import type { Align } from '../align';
import React from 'react';
import type { Node as ReactNode } from 'react';
import { horizontal } from '../align';
import styles from './styles.css';

type Props = {
  align: Align,
  children: ReactNode,
};

const Group = (props: Props) => {
  return <div className={styles[`${props.align}-group`]}>{props.children}</div>;
};

Group.defaultProps = {
  align: horizontal,
};

Group.displayName = 'FormGroup';

export default Group;
